<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Guestbook Infusion 4.06
| Author: Sebastian Schssler (slaughter)
| Download:
| http://basti2web.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";

// Check: iAUTH and $aid
if (!defined("iAUTH") || $_GET['aid'] != iAUTH) redirect("index.php");

// Includes
require_once INFUSIONS."guest_book/infusion_db.php";
require_once INFUSIONS."guest_book/includes/functions.php";

// Check: Admin Rights
if (!GB_ADMIN) redirect("index.php");

// Header
if(gb_isv7()) {
	require_once THEMES."templates/admin_header.php";
} else {
	require_once BASEDIR."subheader.php";
	require_once ADMIN."navigation.php";
}

opentable("Update: v4.03 => v4.04");

//-----------


$res1 = dbquery("UPDATE ".$db_prefix."guestbook_settings SET gb_version = '4.04'");

$res2 = dbquery("UPDATE ".$db_prefix."infusions SET inf_version='4.04' WHERE inf_folder='guest_book'");


if ($res1 && $res2) echo "<br>done!";

echo "<br><br><a href='".INFUSIONS."guest_book/admin/gb_admin.php".$aidlink."'>back</a>";

//-----------
closetable();
tablebreak();

if(gb_isv7()) {
	require_once THEMES."templates/footer.php";
} else {
	require_once BASEDIR."footer.php";
}
?>
