<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Guestbook Infusion 4.07
| Author: Sebastian Schssler (slaughter)
| Download:
| http://basti2web.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION") || !checkrights("I")) { die("Access Denied"); }

require_once INFUSIONS."guest_book/infusion_db.php";

// Load locale file
if (file_exists(INFUSIONS."guest_book/locale/".$settings['locale'].".php")) {
	include INFUSIONS."guest_book/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."guest_book/locale/English.php";
}

// Infusion general information
$inf_title = $locale['gb_100'];
$inf_description = $locale['gb_101'];
$inf_version = "4.07";
$inf_developer = "Sebastian Schssler (slaughter)";
$inf_email = "";
$inf_weburl = "http://www.basti2web.de";

$inf_folder = "guest_book";


// PHP-Fusion version check
require_once INFUSIONS."guest_book/includes/check_version.php";


// Load Database information; v6 and v7 Compatibility
if(gb_isv7()) {
	require_once INFUSIONS."guest_book/infusion_v7.php";
} else {
	require_once INFUSIONS."guest_book/infusion_v6.php";
}

?>