<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Guestbook Infusion 4.06
| Author: Sebastian Schssler (slaughter)
| Download:
| http://basti2web.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";

// Check: iAUTH and $aid
if (!defined("iAUTH") || $_GET['aid'] != iAUTH) redirect("index.php");

// Includes
require_once INFUSIONS."guest_book/infusion_db.php";
require_once INFUSIONS."guest_book/includes/functions.php";

// Check: Admin Rights
if (!GB_ADMIN) redirect("index.php");

// Header
if(gb_isv7()) {
	require_once THEMES."templates/admin_header.php";
} else {
	require_once BASEDIR."subheader.php";
	require_once ADMIN."navigation.php";
}

// Language Files
if (file_exists(INFUSIONS."guest_book/locale/".$settings['locale'].".php")) {
	include INFUSIONS."guest_book/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."guest_book/locale/English.php";
}

// MySQL database functions || edited by slaughter
function dbquery_gb_update($query) {
	$result = @mysql_query($query);
	if (!$result) {
		//echo mysql_error();
		return false;
	} else {
		return $result;
	}
}

opentable($locale['gb_300'].": v4.06 => v4.07");

//-----------

$mysql[] = "UPDATE ".DB_GB_SETTINGS." SET gb_version = '4.07'";

$mysql[] = "UPDATE ".DB_INFUSIONS." SET inf_version='4.07' WHERE inf_folder='guest_book'";

$mysql[] = "ALTER TABLE ".DB_PREFIX."guestbook_settings ADD gb_show_image SMALLINT(5) UNSIGNED NOT NULL DEFAULT '0'";

//-----------

$errors = 0;
foreach($mysql as $query) {

		if(dbquery_gb_update($query)) {
			$res = "<b>".$locale['gb_301']."</b>";
		} else {
			$errors++;
			$res = "<b>".$locale['gb_302'].":</b>&nbsp;";
			$res .= mysql_error();
		}

	echo "<br /><code>".htmlentities($query)."</code>";

	echo "<br />".$res."<br />";

}

if($errors) {
	echo "<p><b>".$locale['gb_303'].": ".$errors."</b></p>";
} else {
	echo "<p><b>".$locale['gb_304']."</b></p>";
}

echo "<br /><a href='".INFUSIONS."guest_book/admin/gb_admin.php".$aidlink."'>".$locale['gb_305']."</a><br /><br />";

closetable();

if(gb_isv7()) {
	require_once THEMES."templates/footer.php";
} else {
	require_once BASEDIR."footer.php";
}
?>
